#!/bin/bash
WS1_USER_NAME=ws1user
WS1_GROUP_NAME=ws1user
WS1_ASSIST_INSTALL_PATH=/opt/vmware/ws1-assist

echo "Removing previous ws1-assist service..."
systemctl stop ws1-assist.service

echo "Copying service file..."
if [ -d "/usr/lib/systemd/system" ]
then
    cp -f ws1-assist.service /usr/lib/systemd/system
else
    cp -f ws1-assist.service /lib/systemd/system
fi

rm -rf $WS1_ASSIST_INSTALL_PATH || true

echo "Copying binaries..."
mkdir -p $WS1_ASSIST_INSTALL_PATH
cp -rf bin/* $WS1_ASSIST_INSTALL_PATH

echo "Copying uninstall script..."
cp -f uninstall.sh $WS1_ASSIST_INSTALL_PATH

echo "Setting service user..."
if [ $? -ne 0 ]; then
  echo "User \"$WS1_USER_NAME\" does not exist. Creating..."
  useradd -U -M $WS1_GROUP_NAME
  echo "Created user \"$WS1_USER_NAME\""
fi

echo "Setting binaries user..."
chown -R $WS1_USER_NAME:$WS1_GROUP_NAME $WS1_ASSIST_INSTALL_PATH
mkdir -p /usr/share/Assist
chmod -R o-r /usr/share/Assist
chown -R $WS1_USER_NAME:$WS1_GROUP_NAME /usr/share/Assist
chmod u=rxs,g=rxs,o=r $WS1_ASSIST_INSTALL_PATH/ws1-assist

echo "Setting service user..."
WS1_USER_NAME=ws1user
WS1_GROUP_NAME=ws1user
id -u $WS1_USER_NAME 2>/dev/null
if [ $? -ne 0 ]; then
  echo "User \"$WS1_USER_NAME\" does not exist. Creating..."
  useradd -U -M $WS1_GROUP_NAME
  echo "Created user \"$WS1_USER_NAME\""
fi

echo "Setting binaries user..."
chown -R $WS1_USER_NAME:$WS1_GROUP_NAME /opt/vmware/ws1-assist
mkdir -p /usr/share/Assist
chmod -R o-r /usr/share/Assist
chown -R $WS1_USER_NAME:$WS1_GROUP_NAME /usr/share/Assist
chmod u=rxs,g=rxs,o=r /opt/vmware/ws1-assist/ws1-assist

echo "Enabling and starting the ws1-assist service..."
systemctl daemon-reload
systemctl enable ws1-assist
systemctl start ws1-assist

echo "DONE."
